WelcomeWelcome | FAQFAQ | DownloadsDownloads | WikiWiki

Author Topic: Can't load hid-wiimote module  (Read 911 times)

Offline NinjaCowboy

  • WikiUser
  • *
  • Posts: 36
Can't load hid-wiimote module
« on: January 21, 2019, 11:54:31 AM »
I'm trying to be able to use a wiimote as input in kodi and retroarch (both compiled from source). When I run 'sudo modprobe hid-wiimote', I get an error.
Code: [Select]
modprobe: can't load module hid-wiimote (kernel/drivers/hid/hid-wiimote.ko.gz): unknown symbol in module, or unknown parameter
dmesg shows this.
Code: [Select]
[ 2472.605574] hid_wiimote: Unknown symbol input_ff_create_memless (err 0)
After further research, it seems to require a ff_memless kernel module that doesn't exist.
Code: [Select]
modprobe: module ff_memless not found in modules.dep

Offline Rich

  • TinyCore Moderator
  • Hero Member
  • *****
  • Posts: 6426
Re: Can't load hid-wiimote module
« Reply #1 on: January 21, 2019, 12:08:54 PM »
Hi NinjaCowboy
You want  piCore_modules  found here:
http://tinycorelinux.net/9.x/armv6/releases/RPi/src/kernel/
or here:
http://tinycorelinux.net/10.x/armv6/releases/RPi/src/kernel/
depending on which version you are running.

Offline Rich

  • TinyCore Moderator
  • Hero Member
  • *****
  • Posts: 6426
Re: Can't load hid-wiimote module
« Reply #2 on: January 21, 2019, 12:14:03 PM »
Hi NinjaCowboy
By the way,  hid-wiimote.ko  is also included in  piCore_modules.

Offline NinjaCowboy

  • WikiUser
  • *
  • Posts: 36
Re: Can't load hid-wiimote module
« Reply #3 on: January 21, 2019, 04:23:46 PM »
I am trying to use the core hid-wiimote.ko.gz from 9.0.3v7.gz, which is broken. I'll try compiling piCore_modules and try to see if it works.

Unrelated, but why are the modules in 9.0.3v7.gz compressed (have .ko.gz extension), but the ones in 9.0.3.gz not compressed?

Offline Rich

  • TinyCore Moderator
  • Hero Member
  • *****
  • Posts: 6426
Re: Can't load hid-wiimote module
« Reply #4 on: January 21, 2019, 04:41:37 PM »
Hi NinjaCowboy
Quote
Unrelated, but why are the modules in 9.0.3v7.gz compressed (have .ko.gz extension), but the ones in 9.0.3.gz not compressed?
Why? Maybe an oversight. The kernel is capable of loading modules regardless of compression or lack of.

Offline Paul_123

  • Sr. Member
  • ****
  • Posts: 463
Re: Can't load hid-wiimote module
« Reply #5 on: January 21, 2019, 05:17:25 PM »
Since the initrd ends up in RAM, we compress all the modules in the initrd to save space.  I have my kernel build scripts automated so I don't forget, which is likely what happened.

« Last Edit: January 21, 2019, 05:20:06 PM by Paul_123 »

Offline Paul_123

  • Sr. Member
  • ****
  • Posts: 463
Re: Can't load hid-wiimote module
« Reply #6 on: January 21, 2019, 05:29:39 PM »
ff-memless is located   kernel/drivers/input/ff-memless.ko it is in the armv6 archives (And the armv7 archive for that matter)

I'm sure you posted which board you are using in another thread, but make sure you are downloading the correct archive for your board.

armv6 or armv7

Offline NinjaCowboy

  • WikiUser
  • *
  • Posts: 36
Re: Can't load hid-wiimote module
« Reply #7 on: January 21, 2019, 05:47:03 PM »
I'm using a Raspberry Pi 3 Model B. Which archive is that module located in? It's not in the 9.0.3v7.gz or 9.0.3v6.gz. For example, 'gzip -dc /mnt/mmcblk0p1/9.0.3v7.gz | cpio -t | grep memless' didn't find it. Also, I have no idea how to compile those modules. There doesn't seem to be any kind of makefile or build script. I have compiled kernels before, but it's not fun.

Offline Rich

  • TinyCore Moderator
  • Hero Member
  • *****
  • Posts: 6426
Re: Can't load hid-wiimote module
« Reply #8 on: January 21, 2019, 06:04:04 PM »
Hi NinjaCowboy
The module can be found here:
http://tinycorelinux.net/9.x/armv6/releases/RPi/src/kernel/4.9.22-piCore_modules.tar.xz
or here:
http://tinycorelinux.net/9.x/armv7/releases/RPi/src/kernel/4.9.22-piCore-v7_modules.tar.xz
I don't know if you need v6 or v7. Maybe the  uname  command can provide the answer.

Offline Paul_123

  • Sr. Member
  • ****
  • Posts: 463
Re: Can't load hid-wiimote module
« Reply #9 on: January 21, 2019, 06:55:58 PM »
Pi3 uses armv7

And no, most modules are not in the initrd, you have to add them manually.   That is how we have a 40mb distribution, vs a 4gb distro.

Offline NinjaCowboy

  • WikiUser
  • *
  • Posts: 36
Re: Can't load hid-wiimote module
« Reply #10 on: February 28, 2019, 04:24:34 PM »
The modules.dep file is missing from that 4.9.22-piCore-v7_modules.tar.xz archive.

Offline Paul_123

  • Sr. Member
  • ****
  • Posts: 463
Re: Can't load hid-wiimote module
« Reply #11 on: February 28, 2019, 04:36:57 PM »
And why would you expect it to be there?  modules.dep is generated by depmod.

If you are manually copying a driver to your system, you have to run `sudo depmod -a` to update the files on your system

If you build a extension, wiimote-4.9.22-piCore-v7.tcz tce-load will automatically update the system for you at the time the extension is loaded.